MetacatUI - Task #5973

Update pager widget on bottom of resultset listing to always show current page
05/24/2013 05:55 PM - Matt Jones

Status: Resolved Start date: 05/24/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.4.0 Spent time: 0.00 hour
Description

History

#1 - 07/25/2013 08:52 AM - ben leinfelder
- Status changed from New to In Progress

- Assignee changed from Matt Jones to ben leinfelder

There are previous and next buttons, but no page numbers (1,2,3,4,5....n).
I'm thinking that no more than 10 numbers should be shown. So long search results would look like:

[Prev] [1, 2, 3...30, 31, 32] [Next]

of

[Prev][1, 2, 3, 4, 5...Last] [Next]
[Prev] [First...28, 29, 30, 31, 32] [Next]

#2 - 07/31/2013 05:38 PM - ben leinfelder
- Parent task changed from #5946 to #6041

#3 - 08/09/2013 12:31 PM - ben leinfelder
- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Now showing this centered at the bottom of the result page (for example):
[Prev] [1, 2, 3...30, 31, 32] [Next]

#4 - 10/03/2013 10:05 AM - Lauren Walker
- Status changed from Closed to New
- Assignee changed from ben leinfelder to Lauren Walker

- Estimated time set to 0.00 h

Ben and | decided the pagination should always show the current page you are on, so the new scheme is:

[Prev][1]...[48,49,50* 51,52]...[110][Nex]

#5 - 11/14/2013 08:24 AM - ben leinfelder

- Subject changed from Add pager widget to bottom of resultset listing to Update pager widget on bottom of resultset listing to always show current
page
- Parent task deleted (#6041)

#6 - 11/20/2013 02:50 PM - Lauren Walker

- Status changed from New to Closed

We are going to implement infinite scrolling instead.

#7 - 11/25/2013 04:15 PM - Lauren Walker
- Status changed from Closed to New

- Target version changed from 1.1.0 to 1.4.0

Ben and | decided the pagination should always show the current page you are on, so the new scheme is:

[Prev][1]...[48,49,50* 51,52]...[110][Nex]

#8 - 12/09/2013 01:30 PM - Lauren Walker

- Status changed from New to Resolved
